#!/usr/bin/perl -w
use strict;
use diagnostics;
use Carp;
use LinuxFocus::SDB;

# Language specific strings
my $lang = "nl";
my $title = "De Artikelen";
my $translated = "Vertaald";
my $untranslated = "Onvertaald";
my $transby = "door";

my $month = $ARGV[0];
if (!defined $month) {
    print "Must give a month!$/";
    exit(0);
}

my $db = LinuxFocus::SDB->new();
$db->load("lfdb.nl.xml");
$db->load("lfdb.en.xml");
$db->load("lfdb.persons.xml");
$db->setLang("nl");
my $succes = "";
foreach my $dbmonth ($db->getMonthIDs()) {
    if ($month eq $dbmonth) { $succes = "yes"; };
}
if ($succes ne "yes") {
    print "Month $month is unknown!$/";
    exit(0);
}

print "<!-- content -->\n";
print "<center>\n<h2>$title</h2>\n</center>\n";
my @translat = ();
my @untranslat = ();
my $temp = "";
foreach my $id ($db->getArticleIDs(month => $month)) {
    $temp = "";
    $db->selectArticle($id);
    $temp .= "<li type=\"circle\"><img src=\"../../common/images/frame.gif\" alt=\"point\" align=\"middle\">\n";
    if ($db->getArticleTranslationDate(to => "nl")) {
        $temp .= "<a href=\"../../" . $db->getArticleRL() . "\">";
    } else {
        $temp .= "<a href=\"../../" . $db->getArticleRL("en") . "\">";
    }
    $temp .= $db->getArticleTitle() . "</a>, $transby " .
	$db->getPersonName($db->getArticleAuthorID()) . "<br>\n";
    $temp .= $db->getArticleAbstract() . "</li>\n<br><br>\n";
    if ($db->getArticleTranslationDate(to => "nl")) {
        push (@translat, $temp);
    } else { 
        push (@untranslat, $temp);
    };
}
print "<h3>$untranslated</h3>\n<ul>\n";
print @untranslat;
print "</ul>\n";

print "<h3>$translated</h3>\n<ul>\n";
print @translat;
print "</ul>\n";

print "<br>\n";
